Subject: window-fixed-size behaviour

From: hjuvi <[email-masked]>
Date: Fri, 26 Jun 2009 14:44:18 +0000 (GMT)

Changing from emacs21 (GNU Emacs 21.4.1) to emacs22-gtk (GNU Emacs 22.1.1) (on Ubuntu desktop), I'm no longer able to have window-size-fixed work properly - or at least how I expect it to work.

I've been using it to have a window with fixed size in the middle of the frame.

On emacs21, I can change the size of other windows, this particular one moves up and down but always keep the same height. This is how I expect it to work...

On emacs22, if I drag from the upper side (mode-line) of the window, it enlarges (which should not happen). If I drag from the lower side of the window, it doesn't move at all !...

Why is the behaviour different between emacs21 and emacs22 ?
The behaviour on emacs21 matches with my needs (and with the idea of window-size-fixed, I believe), whereas I cannot get it work properly on emacs22.

Below is some lisp code to show the problem : you can put it in a file test.el, and call : emacs -q -l test.el

(setq inhibit-startup-message t) 
(split-window-vertically) 
(split-window-vertically) 
(split-window-horizontally) 
(switch-to-buffer (get-buffer-create "buffer1")) 
(select-window (next-window)) 
(switch-to-buffer (get-buffer-create "buffer2")) 
(select-window (next-window)) 
(switch-to-buffer (get-buffer-create "buffer3")) 
(select-window (next-window)) 
(switch-to-buffer (get-buffer-create "buffer4")) 
(select-window (previous-window)) 
(enlarge-window (- 5 (window-height))) 
(setq window-size-fixed t) 

"buffer3" window is supposed to have fixed size. 

NB : This problem has been discussed here :
http://groups.google.fr/group/gnu.emacs.help/browse_thread/thread/20a054c3e179909d?hl=fr#

It has been suggested that my problem might have appeared with the introduction of function adjust-window-trailing-edge.